Bug 125766 - [GTK] [CMake] Add support for building GtkLauncher
Summary: [GTK] [CMake] Add support for building GtkLauncher
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on: 116377
Blocks: 115966
  Show dependency treegraph
 
Reported: 2013-12-15 23:43 PST by Martin Robinson
Modified: 2013-12-18 16:07 PST (History)
3 users (show)

See Also:


Attachments
Patch (2.70 KB, patch)
2013-12-16 00:24 PST, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2013-12-15 23:43:31 PST
This is required to do smoke testing for the WebKit1 build.
Comment 1 Martin Robinson 2013-12-16 00:24:49 PST
Created attachment 219300 [details]
Patch
Comment 2 Gustavo Noronha (kov) 2013-12-18 13:39:58 PST
Comment on attachment 219300 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=219300&action=review

> Tools/GtkLauncher/CMakeLists.txt:1
> +add_definitions(-DWEBKIT_EXEC_PATH="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")

I guess this is OK since we won't install GtkLauncher, right?

> Tools/GtkLauncher/main.c:28
> +#if defined(HAVE_CONFIG_H) && HAVE_CONFIG_H

I take it this is also the case with autotools, right? I think so, but… =)
Comment 3 Martin Robinson 2013-12-18 16:05:32 PST
Comment on attachment 219300 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=219300&action=review

>> Tools/GtkLauncher/CMakeLists.txt:1
>> +add_definitions(-DWEBKIT_EXEC_PATH="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")
> 
> I guess this is OK since we won't install GtkLauncher, right?

Yep. This is duplicated from the autotools build. TBH, I cannot see where it is used, but I guess we could try removing it from both places in a new patch.

>> Tools/GtkLauncher/main.c:28
>> +#if defined(HAVE_CONFIG_H) && HAVE_CONFIG_H
> 
> I take it this is also the case with autotools, right? I think so, but… =)

Hrm...I believe it is. This is cribbed from WTF version. Looks like the build bot did not complain. :)
Comment 4 Martin Robinson 2013-12-18 16:07:04 PST
Comment on attachment 219300 [details]
Patch

Clearing flags on attachment: 219300

Committed r160805: <http://trac.webkit.org/changeset/160805>
Comment 5 Martin Robinson 2013-12-18 16:07:12 PST
All reviewed patches have been landed.  Closing bug.